> For the complete documentation index, see [llms.txt](https://docs.editran.onesait.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.editran.onesait.com/documentacion-editran/connect-v3.1-en/api/integration-of-apis/integration-api-for-channels-executions-v1.md).

# Integration API For Channels Executions (v1)

API for querying and managing channels executions in connect for third-party

## Upload file and emission

> Upload a file to the corresponding channel and start the emission of the channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.4"},"tags":[{"name":"Integration API for channels executions (v1)","description":"API for querying and managing channels executions in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v1/channels/executions/upload-send":{"post":{"tags":["Integration API for channels executions (v1)"],"summary":"Upload file and emission","description":"Upload a file to the corresponding channel and start the emission of the channel","operationId":"upload-send","parameters":[{"name":"channel-code","in":"query","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"file","in":"query","description":"File to upload","schema":{"type":"MultipartFile"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"409":{"description":"conflict"},"500":{"description":"Internal server error"}}}}}}
```

## Start channel emission

> Start the emission of the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.4"},"tags":[{"name":"Integration API for channels executions (v1)","description":"API for querying and managing channels executions in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v1/channels/executions/send":{"post":{"tags":["Integration API for channels executions (v1)"],"summary":"Start channel emission","description":"Start the emission of the specified channel","operationId":"send","parameters":[{"name":"channel-id","in":"query","description":"Filter by channel identifier","required":false,"schema":{"type":"string"}},{"name":"channel-code","in":"query","description":"Channel code (local code - remote code - application)","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"409":{"description":"conflict"},"500":{"description":"Internal server error"}}}}}}
```

## Reset channel

> Reset the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.4"},"tags":[{"name":"Integration API for channels executions (v1)","description":"API for querying and managing channels executions in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v1/channels/executions/reset":{"post":{"tags":["Integration API for channels executions (v1)"],"summary":"Reset channel","description":"Reset the specified channel","operationId":"reset","parameters":[{"name":"channel-code","in":"query","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"409":{"description":"conflict"},"500":{"description":"Internal server error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.editran.onesait.com/documentacion-editran/connect-v3.1-en/api/integration-of-apis/integration-api-for-channels-executions-v1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
